#
# spec file for package wcd
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define wcd_docdir %{_defaultdocdir}/%{name}
Name:           wcd
Version:        5.3.0
Release:        2.3
Summary:        Chdir for DOS and Unix
License:        GPL-2.0
Group:          Productivity/File utilities
Url:            http://waterlan.home.xs4all.nl/
Source:         http://waterlan.home.xs4all.nl/wcd/%{name}-%{version}.tar.gz
BuildRequires:  gettext
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} >= 1310
BuildRequires:  libunistring-devel
%endif

%description
Wcd.   Directory changer for DOS and Unix.  Another Norton
Change Directory (NCD) clone.

Wcd is a command-line program to change directory fast. It
saves time typing at the keyboard.  One needs to type only
a part of a directory  name and wcd  will jump to it.  Wcd
has a fast selection  method  in  case of multiple matches
and allows aliasing and  banning of directories.  Wcd also
includes a full-screen interactive  directory tree browser
with speed search.

%prep
%setup -q

%build
make -C src %{?_smp_mflags} prefix=%{_prefix} \
%if 0%{?suse_version} >= 1310
  UNINORM=1 \
%endif
  UCS=1

%install
make -C src install DESTDIR=%{buildroot} prefix=%{_prefix} mandir=%{_mandir} CFLAGS="%{optflags}" docdir=%{wcd_docdir} bindir=%{_libexecdir}
make -C src install-profile DESTDIR=%{buildroot} prefix=%{_prefix} sysconfdir=%{_sysconfdir} bindir=%{_libexecdir}

%find_lang %{name} --all-name --with-man

%files -f %{name}.lang
%defattr(-,root,root)
%doc %{_mandir}/man1/wcd.*
%doc %lang(de) %dir %{_mandir}/de
%doc %lang(nl) %dir %{_mandir}/nl
%doc %lang(uk) %dir %{_mandir}/uk
%doc %{wcd_docdir}
%{_libexecdir}/wcd.exe
# Overwrite the old config files. Old config files may break a new
# installation when the name of the binary changes.
%config %{_sysconfdir}/profile.d/wcd.*

%changelog
* Sat Sep 26 2015 waterlan@xs4all.nl
- Update to 5.3.0:
  - Faster loading of the graphical tree, in about one third less time.
  - Fix reading UTF-16 treedata files.
  - Fix: Check for file I/O errors while reading files. These can happen
    after a file was opened without problems.
* Sun Apr 19 2015 waterlan@xs4all.nl
- Update to 5.2.7:
  - c3po/structur.h: Fix compilation error: unknown type name wchar_t.
    Happens on some systems when wcd is compiled with Unicode support.
  - Makefile, man/man1/Makefile: add option --no-wrap to xgettext and
    msgmerge. Translation Project standard is not to wrap.
- 0000-wchar.patch: Removed. Solved by upstream.
* Fri Jan 30 2015 waterlan@xs4all.nl
- wcd.spec: Fixed Source.
* Thu Jan 22 2015 waterlan@xs4all.nl
- Update to 5.2.6:
  - graphics.c,display.c: Use wclear again on Windows iso werase (werase was
    introduced in wcd 5.2.4), because wclear gives a cleaner screen in a
    Windows Command Prompt in an East Asian locale with double width font. E.g.
    Chinese locale CP936 with raster or Simsun font. wclear gives some screen
    flickering when used with ncurses on Windows.
  - New keys in match list and graphical tree mode: F5 or CRTL-l
    to redraw the screen.
  - win*/Makefile:
  * Add libiconv-2.dll when compiled with Unicode normalization.
  * Add libwinpthread-1.dll when compiled with ncurses.
  * Replaced libuninstring-0.dll with libunistring-2.dll.
  - msys2/Makefile: New makefile for building for native msys2.
  - wcd.c, Makefile: Updated for msys2.
  - Bugfix: etc/profile.d/wcd.sh: wcd function was overwriting shell's
    $go variable. Thanks to Andreas Schwab.
  - Bugfix: wcddir.c: Fix in replacing volume manager path with $HOME for other
    users. Introduced in version 5.1.0.
- 0000-make-go-local.patch: Removed. Solved by upstream.
- 0000-wchar.patch: New patch. Fix for "unknown type wchar_t".
* Tue Nov  4 2014 waterlan@xs4all.nl
- Cleanup with spec-cleaner.
- Better conditional in %%build section.
* Thu Oct 23 2014 waterlan@xs4all.nl
- Install binary in %%{_libexecdir}
* Tue Oct 21 2014 waterlan@xs4all.nl
- Patch0: wcd function was overwriting shell's $go variable.
* Thu Oct 16 2014 waterlan@xs4all.nl
- Remove version number from docdir.
* Tue Oct 14 2014 waterlan@xs4all.nl
- Release 1
* Tue Oct 14 2014 waterlan@xs4all.nl
- Change Group to Productivity/File utilities
* Tue Oct 14 2014 waterlan@xs4all.nl
- Undid previous change. Use %%{buildroot} again.
- Added BuildRoot statement in preamble. Required by SLE 11.
* Tue Oct 14 2014 waterlan@xs4all.nl
- Use ${RPM_BUILD_ROOT} iso %%{buildroot} for SLE 11.
* Sun Oct 12 2014 waterlan@xs4all.nl
- Add Dutch and German manuals.
* Fri Oct 10 2014 waterlan@xs4all.nl
- Enable Unicode normalization only for Suse version > 13.1.
  SLES 12 does not have libunistring-devel.
* Fri Oct 10 2014 pth@suse.de
- Create .changes file, run spec-cleaner.
- Pass optflags to compiler.
- Fix use of documentation directoy
- Add uk man page directories to file list.
- Set default attributes.
* Wed Oct  8 2014 waterlan@xs4all.nl
- Initial version for openSUSE.
